Security Enhanced Linux Reference Policy

# Layer: services

## Module: rsync

Tunables Interfaces

### Description:

Fast incremental file transfer for synchronization

### Tunables:

allow_rsync_anon_write

##### Default value

false

##### Description

Allow rsync to modify public files used for public file transfer services. Files/Directories must be labeled public_content_rw_t.

rsync_export_all_ro

##### Default value

false

##### Description

Allow rsync to export any files/directories read only.

Return

### Interfaces:

rsync_entry_domtrans( source_domain , target_domain )

##### Summary

Execute a rsync in a specified domain.

##### Description

Execute a rsync in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain to transition from.
target_domain | Domain to transition to.

rsync_entry_spec_domtrans( source_domain , target_domain )

##### Summary

Execute a rsync in a specified domain.

##### Description

Execute a rsync in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain to transition from.
target_domain | Domain to transition to.

rsync_entry_type( domain )

##### Summary

Make rsync an entry point for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which init scripts are an entrypoint.

rsync_exec( domain )

##### Summary

Execute rsync in the caller domain domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return